PDA

View Full Version : Pango problems



xjom71
29-May-2015, 21:17
I finally managed to revert the changes in my system (from: https://forums.suse.com/showthread.php?6233-xdm-not-working-on-console-after-update)

But, now there is one problem left, and that is that no fonts are showing in Gnome.

I get a warning:


Window manager warning: Log level 16: /usr/lib64/pango/1.8.0/modules/pango-basic
-fc.so: cannot open shared object file: No such file or directory
Window manager warning: Log level 16: failed to choose a font, expect ugly outpu
t. engine-type='PangoRenderFc', script='latin'


And both the folders /usr/lib64/pango/1.8.0/modules/ and /etc/pango are empty.

Question is: How do I restore the fonts?

BR
/Mattias

mikewillis
30-May-2015, 17:12
I finally managed to revert the changes in my system (from: https://forums.suse.com/showthread.php?6233-xdm-not-working-on-console-after-update)

But, now there is one problem left, and that is that no fonts are showing in Gnome.

I get a warning:


Window manager warning: Log level 16: /usr/lib64/pango/1.8.0/modules/pango-basic
-fc.so: cannot open shared object file: No such file or directory
Window manager warning: Log level 16: failed to choose a font, expect ugly outpu
t. engine-type='PangoRenderFc', script='latin'


And both the folders /usr/lib64/pango/1.8.0/modules/ and /etc/pango are empty.

Question is: How do I restore the fonts?

BR
/Mattias

First run

$ zypper verify
Which will verify package dependencies are met and if not offer solutions. I suspect it will find problems and offer to install new packages. Let it. If that doesn't sort things out then you figure out which package that missing file belongs to and install that. If the package

$ zypper what-provides /usr/lib64/pango/1.8.0/modules/pango-basic-fc.so
Then install the package zypper says provides the file. In this case it's pango-modules.

xjom71
30-May-2015, 20:18
zypper verify says that all dependencies are satisfied.


Dependencies of all installed packages are satisfied.


sudo zypper install pango-modules says that is already installed.


'pango-modules' is already installed.
No update candidate for 'pango-modules-1.36.3-4.14.x86_64'. The highest available version is already installed.

The error is talking about version 1.8.0, and points to /usr/lib64/pango/1.8.0/...
In /usr/lib64/pango there is only one subfolder: 1.8.0, which contains a modules-folder (which is empty) and a modules.cache, in which all the lines points to the 1.8.0-folder.

I tried sudo zypper remove pango-modules, but then it suggest to remove the whole gnome, and that feels a little bit dangerous, so I bailed out and answered "no".

Finally I tried to sudo zypper install -f pango-modules, and that seems to have added back the missing pango-basic-fc.so module.

EDIT: Moreover, restarting the server got the fonts back in Gnome. Problem solved!

Thanks a lot for your patience and support!
/Mattias